D4Science Infrastructure - Support #1320

Issue update reminder plugin does not work
Nov 06, 2015 05:17 PM - Alessia Bardi

Status: Closed Start date: Nov 06, 2015
Priority: Normal Due date:

Assignee: Andrea Dell'’Amico % Done: 100%
Category: Other Estimated time: 0.00 hour
Infrastructure: Production

Description

The plugin for reminding about tickets installed for the D-Net/OpenAlIRE issue track in #892 seems to not work, as we are not
receiving any updates on old and inactive tickets.

The configuration seems to be correct, Andrea can you investigate?

History

#1 - Nov 17, 2015 08:15 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 20

It seems that the ruby way of running scheduled tasks does not work, while running the job manually do.
I'm going to set up a cron job that will run daily.

#2 - Nov 17,2015 08:17 PM - Andrea Dell'Amico
The cron job needs to run the command

/usr/local/bin/rake —-f /srv/redmine/openaireplus/Rakefile RAILS_ENV=production redmine_update_reminder:send_r
eminders

as user openaire

#3 - Nov 18, 2015 11:35 AM - Andrea Mannocci

Is it possible to configure the object of the email sent by the plugin?
It would be nice to have the same format redime uses
[%project - %issue_type #number] Y%ticket_title

#4 - Nov 18, 2015 11:58 AM - Andrea Dell'Amico
Andrea Mannocci wrote:
Is it possible to configure the object of the email sent by the plugin?

It would be nice to have the same format redime uses
[Y%project - %issue_type #number] %ticket_title

No, the email subject cannot be changed.

#5 - Nov 18, 2015 03:04 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

We also have the cron job, now. It runs daily at midnight.

#6 - Nov 19, 2015 10:24 AM - Alessia Bardi

Can we make it run once a week on Monday night instead of every night?

#7 - Nov 19, 2015 11:44 AM - Andrea Dell'Amico

Done. It will now run on monday at 5am
#8 - Nov 19, 2015 04:50 PM - Alessia Bardi

Oops..misunderstanding here...

The guys here would like to receive the reminders on Tuesdays...

When | asked for Monday night, | meant the night between Monday and Tuesday, not the one between Sunday and Monday.
Can you update the cron expression again? Tuesday at 5AM is fine.

#9 - Nov 19, 2015 05:31 PM - Andrea Dell'Amico

Done.

#10 - Nov 30, 2015 02:49 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
